# Import der benötigten Module
from microbit import *
from machine import time_pulse_us
import gc

# Pins definieren
trigger = pin8
echo = pin12

# Initialisierung der Pins
trigger.write_digital(0)
echo.read_digital()

# Definition der Funktion get_distance, die die Entfernungsmessung durchführt
def get_distance():
    gc.disable()  # Garbage Collector deaktivieren
    trigger.write_digital(1)  # kurzen Impuls auf dem Trigger Pin des Sensors senden
    trigger.write_digital(0)  # Impuls auf dem Trigger Pin beenden

    stopwatch = time_pulse_us(echo, 1)  # Zeitmessung bis der Echo Pin High gesetzt wird
    duration = stopwatch / 1000000  # Umrechnung in Sekunden
    distance = (duration * 34300) / 2  # Berechnung der Distanz

    return round(distance, 2)  # Rückgabe der Distanz gerundet auf 2 Kommastellen

while True:
    print(get_distance())  # Ausführen und ausgeben der distance Funktion
    sleep(500)
